Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1087734 - Review Request: php-horde-imp - A web based webmail system
Review Request: php-horde-imp - A web based webmail system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-15 03:50 EDT by Remi Collet
Modified: 2014-06-11 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-horde-imp-6.1.7-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-29 01:12:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (75.59 KB, text/x-log)
2014-04-27 22:31 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (12.99 KB, text/plain)
2014-04-27 22:33 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2014-04-15 03:50:22 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/4760b75ce1b3dd91da3201941c05d9bf817ae723/php/horde/php-horde-imp/php-horde-imp.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-imp-6.1.7-1.remi.src.rpm
Description: 
IMP, the Internet Mail Program, is one of the most popular and widely
deployed open source webmail applications in the world. It allows
universal, web-based access to IMAP and POP3 mail servers and provides
Ajax, mobile and traditional interfaces with a rich range of features
normally found only in desktop email clients.

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2014-04-27 22:31:45 EDT
Created attachment 890302 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 2 Shawn Iwinski 2014-04-27 22:33:48 EDT
Created attachment 890303 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1087734
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Shawn Iwinski 2014-04-27 22:48:00 EDT
[!]: Package contains no bundled libraries without FPC exception.

     /usr/share/horde/imp/js/murmurhash3.js = 
         https://github.com/kazuyukitanimura/murmurhash-js

>     /**
>      * JS Implementation of MurmurHash3
>      *
>      * Original version:
>      * https://github.com/kazuyukitanimura/murmurhash-js
>      *
>      * Additions by Michael Slusarz <slusarz@horde.org>

     It appears the original source has additions by horde.  The original source is MIT and this file still has the MIT license text in it.  If this is allowed, does that mean MIT should be listed in the license field as well?  This is probably more of a license question than a bundled library question/issue.





[!]: Requires correct, justified where necessary.

     Per package.xml, update
         Requires:       php-pear(%{pear_channel}/Horde_Mime) >= 2.0.0
     to
         Requires:       php-pear(%{pear_channel}/Horde_Mime) >= 2.1.0
     
     
     Per package.xml, update
         Requires:       php-pear(%{pear_channel}/Horde_Url) >= 2.0.0
     to
         Requires:       php-pear(%{pear_channel}/Horde_Url) >= 2.2.0
     
     
     Per package.xml, add
         Requires:       php-pear(%{pear_channel}/Horde_Text_Filter_Csstidy) < 3.0.0
     
     
     Update comment
         # Optional and implicitly required:
         #     Horde_Vfs, Horde_History, Horde_Http, Horde_Stream_Filter
     to
         # Optional and implicitly required:
         #     Horde_History, Horde_Http
     
     
     Per phpcompatinfo, I do not see "php-ereg" or "php-posix" dependencies.





The HTTP config has "<DirectoryMatch %{pear_hordedir}/%{pear_name}/(config|lib|locale)>", but the "templates" directory has the same .htaccess file contents that the listed directories have so shouldn't it be added in the config as well?
Comment 5 Shawn Iwinski 2014-04-28 10:04:10 EDT
[x]: Package contains no bundled libraries without FPC exception.

     This was a license issue/update, not a bundled library issue/update.

[x]: Requires correct, justified where necessary.


HTTPD config updated.


No blockers.


===== APPROVED =====
Comment 6 Remi Collet 2014-04-28 10:09:28 EDT
Thanks!

New Package SCM Request
=======================
Package Name: php-horde-imp
Short Description: A web based webmail system
Owners: remi
Branches: f20 el6 epel7
InitialCC:
Comment 7 Gwyn Ciesla 2014-04-28 12:08:30 EDT
Git done (by process-git-requests).
Comment 8 Remi Collet 2014-04-29 01:12:07 EDT
Build in rawhide + epel7

Will push all the horde applications at the same time (when all will be reviewed) in f20 / epel6
Comment 9 Fedora Update System 2014-05-19 11:09:32 EDT
php-horde-imp-6.1.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-imp-6.1.7-2.el6
Comment 10 Fedora Update System 2014-05-19 11:09:40 EDT
php-horde-imp-6.1.7-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-imp-6.1.7-2.fc20
Comment 11 Fedora Update System 2014-06-05 00:21:41 EDT
php-horde-imp-6.1.7-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2014-06-11 19:34:51 EDT
php-horde-imp-6.1.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.